body {
    background-image: linear-gradient(to right,rgb(255, 94, 0),rgb(255, 153, 0));
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    margin: 0px;
    padding: 0px;
}

.contenedor-login {
    background-color: white;
    padding: 40px;
    border-radius: 30px;
    width: 350px;
    margin-top: 8%;
    display: flex;
    flex-direction: column;
    margin-left: auto;
    margin-right: auto;
    
}

.contenedor-login img {
    width: 130px;
    margin-left: 32%;
}

.formulario h1 {
    font-size: 20px;
    color: orange;
}

.rellenar {
    margin-bottom: 20px;
}

.rellenar label {
    font-size: 15px;
    color: black;
}

.rellenar input {
    width: 95%;
    margin-top: 10px;
    padding: 10px;
    border: 1px solid orange;
    border-radius: 30px;
    background-color: rgb(255, 239, 210);
}

.formulario button {
    width: 100%;
    background-color: orange;
    color: white;
    padding: 8px;
    border-radius: 30px;
    border: 1px solid orange;
    margin-top: 5px;
    font-size: 12px;
}

.formulario p {
    text-align: center;
}
.formulario a {
    text-decoration: none;
    color: orange;
}

.mur {
    width: 100%;
    background-color: white;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid #eee;
}

.mur .logo img {
    width: 60px;
    margin-left: 80px;
}

.mur .botones-mur {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-right: 80px;
}

.mur button.salir {
    background-color: rgb(255, 205, 113);
    border: none;
    padding: 10px 20px;
    border-radius: 20px;
    font-weight: bold;
    cursor: pointer;
}
.mur button.salir:hover {
    background-color: orange;
}
.main {
    display: flex;
    margin-top: 30px;
}

.fila1 {
    display: flex;
    flex-direction: column;
    width: 250px;
    margin-left: 80px;
    gap: 10px;
}

.fila1 button {
    background-color: rgb(255, 205, 113);
    border: none;
    width: 250px;
    padding: 10px 20px;
    border-radius: 20px;
    font-weight: bold;
    cursor: pointer;
}
.fila1 button:hover {
    background-color: orange;
}

.fila2 {
    display: flex;
    flex-direction: column;
    flex: 1; 
    margin-left: 20px;
    margin-right: 20px;
}
.fila2 .perfil {
    display: flex;
    align-items: center;
    padding: 10px 15px;
}

.fila2 .perfil-info h2 {
    font-size: 14px;
    margin-left: 10px;
    margin-bottom: 0px;
    margin-top: 18px;
}

.fila2 .perfil .perfil-info p {
    margin-left: 10px;
    margin-bottom: 5px;
    margin-top: 0px;
    color: rgb(146, 146, 146);
    font-size: 10px;
}

.fila2 .publicacion1 {
    background-color: white;
    width: 100%;
    border-radius: 15px;
    border: 1px solid #e1e8ed;
    margin-bottom: 20px;
    padding-bottom: 15px;
    margin-left: 20px;
}

.fila2 h1{
    font-size: 18px;
    margin-left: 30px;
}

.fila2 .publicacion1 p {
    font-size: 14px;
    margin-left: 30px;
}
.fila2 .publicacion1 img {
    width: 100%;
}
.fila3 {
    display: flex;
    flex-direction: column;
    width: 300px;
    margin-right: 100px;
    margin-left: auto;
}
.fila3 h1 {
    font-size: 18px;
    margin-bottom: 15px;
    padding-left: 10px;
    font-weight: bold;
}
.fila3 .tendencies {
    font-size: 14px;
    background-color: rgb(255, 255, 255);
    display: flex;
    flex-direction: column;
    margin-left: 20px;
    width: 300px;
    border-radius: 10px;
}
.fila3 .hastags a {
    color: rgb(116, 116, 255);
    margin-left: 10px;
}
.fila3 .hastags p {
    margin-top: 0px;
    margin-left: 10px;
}

.fila3 .sugeridos {
    font-size: 14px;
    background-color: rgb(255, 255, 255);
    display: flex;
    flex-direction: column;
    margin-left: 20px;
    width: 300px;
    border-radius: 10px;
    margin-top: 10px;
    padding-bottom: 8px;
}

.fila3 .seguidores {
    margin-left: 10px;
    display: flex;
    align-items: center;
}

.fila3 .sugeridos img {
    border-radius: 50%;
    width: 40px;
    height: 40px;

}
.fila3 .sugeridos h2 {
    font-size: 14px;
    margin-left: 10px;
    margin-bottom: 0px;
}

.fila3 .sugeridos p {
    font-size: 10px;
    margin-left: 10px;
    margin-bottom: 0px;
    margin-top: 0px;
    color: rgb(146, 146, 146);
}
.fila3 .sugeridos .seguidores button {
    background-color: rgb(255, 205, 113);
    border: none;
    font-size: 13px;
    width: 70px;
    padding: 6px;
    border-radius: 20px;
    margin-top: 10px;
    cursor: pointer;
    margin-left: 20px;
    font-weight: bold;
}

.fila3 .sugeridos .seguidores button:hover {
    background-color: orange;
}
.fila_nueva_publicacion {
    background-color: white;
    border-radius: 15px;
    margin-left: 20px;
    width: 100%;
    border-radius: 15px;
    border: 1px solid #e1e8ed;
    margin-bottom: 20px;
}

.header_publi {
    padding: 20px;
    border-bottom: 2px solid #e1e1e1;
}

.nueva_publicacion h1 {
    font-size: 22px;
    margin: 0;
    font-weight: bold;
}

.nueva_publicacion form {
    padding: 25px;
}

.titulo, .descripcion, .imagen_publicacion {
    margin-bottom: 20px;
}

.nueva_publicacion h5 {
    font-size: 16px;
    margin: 0 0 8px 0;
    font-weight: bold;
}

.nueva_publicacion .titulo input {
    width: 100%;
    padding: 12px 15px;
    border: 1px solid #ffcc00;
    border-radius: 10px;
    background-color: rgb(255, 239, 210);
    box-sizing: border-box;
    font-size: 14px;
}
.nueva_publicacion textarea {
    width: 100%;
    padding: 12px 15px;
    border: 1px solid #ffcc00;
    border-radius: 10px;
    background-color: rgb(255, 239, 210);
    box-sizing: border-box;
    font-size: 14px;
}

.contador, .imagen_publicacion p {
    font-size: 12px;
    color: gray;
    margin-top: 5px;
}

.archivo_publicacion {
    display: flex;
    margin-bottom: 10px;
}

.archivo {
    background-color: rgb(255, 166, 0);
    padding: 10px 15px;
    border-radius: 10px;
    border: 2px solid black;
    cursor: pointer;
    font-weight: bold;
    font-size: 14px;
}

.añadir_archivo {
    margin-left: 10px;
    align-self: center;
}

.botones-publicacion {
    display: flex;
    gap: 15px;
    margin-top: 30px;
}

.publicar, .cancelar {
    flex: 1;
    border: 2px solid black;
    border-radius: 10px;
    padding: 5px;
    cursor: pointer;
}

.publicar {
    background-color: rgb(255, 205, 113);
    border: none;
    width: 250px;
    padding: 10px 20px;
    border-radius: 20px;
    font-weight: bold;
    cursor: pointer;
}

.cancelar {
    background-color: rgb(255, 205, 113);
    border: none;
    width: 250px;
    padding: 10px 20px;
    border-radius: 20px;
    font-weight: bold;
    cursor: pointer;
}
.imagen_publicacion input[type="text"] {
    width: 100%;
    padding: 12px 15px;
    border: 1px solid #ffcc00;
    border-radius: 10px;
    background-color: rgb(255, 239, 210);
    box-sizing: border-box;
    font-size: 14px;
}
.publicar:hover {
    background-color: orange;
}

.cancelar:hover {
    background-color: orange;
}
.botones-publicacion p {
    margin: 5px;
    font-weight: bold;
    font-size: 16px;
}

.columna_perfil {
    background-color: white;
    border-radius: 15px;
    margin-left: 40px;
    margin-right: 35px;
    width: 100%;
    border-radius: 15px;
    border: 1px solid #e1e8ed;
    margin-bottom: 20px;
}

.columna_perfil h2 {
    margin-left: 20px;
}

.mi_usuario {
    background-color: white;
    border-radius: 20px;
    padding: 25px;
    text-align: center;
}

.header_perfil {
    display: flex;
    justify-content: flex-end;
}

.header_perfil button {
    background: white;
    border: 1.5px solid orange;
    color: orange;
    padding: 8px 15px;
    border-radius: 10px;
}
.header_perfil button:hover {
    background-color: orange;
    color: white;
}

.logo_perfil {
    width: 120px;
    height: 120px;
    background-color: orange;
    color: white;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 40px;
    margin: 0 15px ;
    margin-left: auto;
    margin-right: auto;
}

.informacion_perfil h1 {
    font-size: 24px;
    color: #1a202c;
}

.estadisticas {
    display: flex;
    gap: 40px;
    border-top: 1px solid #edf2f7;
    padding-top: 20px;
    justify-content: center;
}

.publicacion_vista_perfil {
    background: white;
    border-radius: 15px;
    padding: 20px;
    border: 1px solid #e2e8f0;
    margin-bottom: 20px;
    margin-left: 20px;
    margin-right: 20px;
}
.separador_vista_previa {
    width: 100%;
    margin-top: 10px;
    margin-bottom: 15px;
    margin-left: 20px;
}

.separador_vista_previa h2 {
    color: white;
    font-size: 22px;
    font-weight: bold;
    margin: 0;
}
.caja_interna_vista {
    padding-right: 30px;
    margin-left: 20px;
    margin-right: 20px;
}

.caja_interna_vista h1 {
    color: orange;
    font-size: 20px;
    margin-top: 5px;
    margin-left: 30px;
}

.caja_interna_vista p {
    color: black;
    margin-left: 30px;
}

.caja_interna_vista img {
    width: 100%;
    margin-top: 15px;
    margin-left: 30px;
}
.campo_formulario label {
    font-weight: bold;
    margin-bottom: 5px;
    
}

.campo_formulario input {
    width: 100%;
    padding: 12px 15px;
    border: 1px solid #ffcc00;
    border-radius: 10px;
    background-color: rgb(255, 239, 210);
    box-sizing: border-box;
    font-size: 14px;
    margin-top: 5px;
}

.botones_formulario {
    margin-top: 20px;
    display: flex;
    gap: 10px;
    width: 100%;
}

.boton_guardar {
    background-color: rgb(255, 205, 113);
    border: none;
    font-size: 14px;
    color: black;
    width: 50%;
    padding: 10px 20px;
    border-radius: 20px;
    font-weight: bold;
    cursor: pointer;
    text-align: center;
}

.boton_cancelar {
    background-color: rgb(255, 205, 113);
    border: none;
    font-size: 14px;
    color: black;
    width: 50%;
    padding: 10px 20px;
    border-radius: 20px;
    font-weight: bold;
    cursor: pointer;
    text-decoration: none;
    text-align: center;
}